summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorSteve Powell <steve@rabbitmq.com>2012-02-17 11:10:00 +0000
committerSteve Powell <steve@rabbitmq.com>2012-02-17 11:10:00 +0000
commit3d2c8cc14338118e7ff31352545ed5e7ae343f9d (patch)
treec9188b65bebdf6501469bea10153b778b3d708d8 /scripts
parentc7f164e1725dfc0a1f122283ed4d0eb5183c1dd8 (diff)
parent5b860c87237dfd547ed39acc6dbcd2ebba13464c (diff)
downloadrabbitmq-server-git-3d2c8cc14338118e7ff31352545ed5e7ae343f9d.tar.gz
Merge in default
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/rabbitmq-env30
-rw-r--r--scripts/rabbitmq-sys33
2 files changed, 48 insertions, 15 deletions
diff --git a/scripts/rabbitmq-env b/scripts/rabbitmq-env
index 1fd1339da2..1e3a06082d 100755
--- a/scripts/rabbitmq-env
+++ b/scripts/rabbitmq-env
@@ -15,7 +15,7 @@
## Copyright (c) 2007-2012 VMware, Inc. All rights reserved.
##
-# Determine where this script is really located
+# Determine where this script is really located (if this script is embedded, this is the location of the caller)
SCRIPT_PATH="$0"
while [ -h "$SCRIPT_PATH" ] ; do
FULL_PATH=`readlink -f $SCRIPT_PATH 2>/dev/null`
@@ -36,19 +36,19 @@ RABBITMQ_HOME="${SCRIPT_DIR}/.."
[ "x" = "x$HOSTNAME" ] && HOSTNAME=`env hostname`
NODENAME=rabbit@${HOSTNAME%%.*}
-## Set (non-empty) default values for rabbitmq-env.conf variables to override
-SERVER_ERL_ARGS="+K true +A30 +P 1048576 \
--kernel inet_default_connect_options [{nodelay,true}]"
-CONFIG_FILE=/etc/rabbitmq/rabbitmq
-LOG_BASE=/var/log/rabbitmq
-MNESIA_BASE=/var/lib/rabbitmq/mnesia
-PLUGINS_DIR="${RABBITMQ_HOME}/plugins"
-ENABLED_PLUGINS_FILE=/etc/rabbitmq/enabled_plugins
+## Set system defaults
+if [ ! -f ${SCRIPT_DIR}/rabbitmq-sys ]; then
+ echo -n "WARNING: system defaults are not available -- "
+ echo "check the installation completed correctly."
+ exit 1
+fi
+
+. ${SCRIPT_DIR}/rabbitmq-sys
-## Load configuration from the rabbitmq.conf file
-if [ -f /etc/rabbitmq/rabbitmq.conf ] && \
- [ ! -f /etc/rabbitmq/rabbitmq-env.conf ] ; then
- echo -n "WARNING: ignoring /etc/rabbitmq/rabbitmq.conf -- "
- echo "location has moved to /etc/rabbitmq/rabbitmq-env.conf"
+## Get configuration variables from the configure environment file
+if [ -f ${OLD_CONF_ENV_FILE} ] && \
+ [ ! -f ${CONF_ENV_FILE} ] ; then
+ echo -n "WARNING: ignoring ${OLD_CONF_ENV_FILE} -- "
+ echo "location has moved to ${CONF_ENV_FILE}"
fi
-[ -f /etc/rabbitmq/rabbitmq-env.conf ] && . /etc/rabbitmq/rabbitmq-env.conf
+[ -f ${CONF_ENV_FILE} ] && . ${CONF_ENV_FILE}
diff --git a/scripts/rabbitmq-sys b/scripts/rabbitmq-sys
new file mode 100644
index 0000000000..fc2b25f22c
--- /dev/null
+++ b/scripts/rabbitmq-sys
@@ -0,0 +1,33 @@
+#!/bin/sh
+## The contents of this file are subject to the Mozilla Public License
+## Version 1.1 (the "License"); you may not use this file except in
+## compliance with the License. You may obtain a copy of the License
+## at http://www.mozilla.org/MPL/
+##
+## Software distributed under the License is distributed on an "AS IS"
+## basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
+## the License for the specific language governing rights and
+## limitations under the License.
+##
+## The Original Code is RabbitMQ.
+##
+## The Initial Developer of the Original Code is VMware, Inc.
+## Copyright (c) 2012 VMware, Inc. All rights reserved.
+##
+
+### next line potentially updated in package install steps, do not alter
+SYS_PREFIX=
+
+## Set system default values
+SERVER_ERL_ARGS="+K true +A30 +P 1048576 \
+-kernel inet_default_connect_options [{nodelay,true}]"
+
+CONFIG_FILE=${SYS_PREFIX}/etc/rabbitmq/rabbitmq
+LOG_BASE=${SYS_PREFIX}/var/log/rabbitmq
+MNESIA_BASE=${SYS_PREFIX}/var/lib/rabbitmq/mnesia
+ENABLED_PLUGINS_FILE=${SYS_PREFIX}/etc/rabbitmq/enabled_plugins
+
+OLD_CONF_ENV_FILE=/etc/rabbitmq/rabbitmq.conf
+CONF_ENV_FILE=/etc/rabbitmq/rabbitmq-env.conf
+
+PLUGINS_DIR="${RABBITMQ_HOME}/plugins"